.main-section {
  width: 100%;
  position: relative;
}

.visual-slide {
  width: 100%;
  height: calc(100vh - 128px);
  min-height: 960px;
}

.slide-group {
  width: 100%;
  height: calc(100vh - 128px);
  min-height: 960px;
  overflow: hidden;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex !important;
  align-items: center;
  justify-content: center;
  position: relative;
}

.slide-group::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  z-index: 0;
}

.slide-group1 {
  background-image: url(../images/main/visual1.png);
}

.slide-group2 {
  background-image: url(../images/main/visual2.png);
}

.slide-group3 {
  background-image: url(../images/main/visual3.png);
}

.slide-group .title-group{
  gap: 20px 0;
  padding: 0;
}

.slide-group .title{
  text-align: center;
}

.slide-group .sub-title{
  color: var(--colorGray300);
}

.animation-group {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  width: 100%;
  height: 243px;
  color: var(--colorWhite);
  padding-bottom: 40px;
  background: linear-gradient(0deg, #111 0%, rgba(17, 17, 17, 0) 100%);
  position: absolute;
  left: 0;
  bottom: 0;
}

.animation-group > p {
  font-size: var(--fontSizeXs);
  font-weight: var(--fontWeightBold);
  line-height: var(--lineHeightBase);
  margin-top: 10px;
}

@keyframes move-down {
  0% {
    transform: translateY(0);
    opacity: 1;
  }
  100% {
    transform: translateY(80px);
    opacity: 0.5;
  }
}

.vertical-line-box {
  position: relative;
  width: 1px;
  height: 80px;
  background-color: rgba(256, 256, 256, 0.3);
  overflow: hidden;
}

.vertical-line-box p {
  position: absolute;
  width: 1px;
  height: 30px;
  background-color: var(--colorWhite);
  animation: move-down 1.5s ease-in-out infinite;
}

.vertical-line-box span {
  display: none;
}

.quick-nav-group {
  width: 100%;
  padding: 120px 0 140px;
  background-color: var(--colorGray600);
}
.quick-nav-group .title-group{
  padding-bottom: 56px;
}
.quick-nav-group .section-title {
  color: var(--colorWhite);
}

.quick-nav-box {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 0 40px;
}

.quick-img-box {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 120px;
  height: 120px;
  background-color: var(--colorWhite);
  border: 1px solid var(--colorGray200);
}
.quick-nav-box li a p {
  text-align: center;
  color: var(--colorGray100);
  line-height: var(--lineHeightMd);
  margin-top: 20px;
}

.service-section {
  padding: 140px 0;
  background: url(../images/main/vpnservice-bg.png) no-repeat center 15.6%;
}

.service-content-box {
  display: flex;
  flex-direction: column;
  gap: 30px;
  width: 100%;
}

.service-content-box ul {
  display: grid;
  gap: 30px;
}

.service-content-box ul:nth-child(1) {
  grid-template-columns: 1fr 1fr;
}
.service-content-box ul:nth-child(2) {
  grid-template-columns: 22% 75.8%;
}

.service-content-box li {
  height: 280px;
  padding: 30px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  color: var(--colorWhite);
}
.service-content-box li p:first-child {
  color: var(--colorGray200);
}

.service-content-box ul:nth-child(1) li:nth-child(1) {
  background: url(../images/main/service-static-bg.png) no-repeat center/cover;
}
.service-content-box ul:nth-child(1) li:nth-child(2) {
  background: url(../images/main/service-dynamic-bg.png) no-repeat center/cover;
}
.service-content-box ul:nth-child(2) li:nth-child(1) {
  background-color: var(--colorPrimary);
}
.service-content-box ul:nth-child(2) li:nth-child(2) {
  background: url(../images/main/service-ipq-vpn-bg.png) no-repeat center/cover;
}

.service-content-box li p:first-child {
  font-size: var(--fontSizeSm);
  font-weight: var(--fontWeightBold);
  line-height: var(--lineHeightBase);
  margin-bottom: 8px;
}

.service-content-box li p:last-child {
  font-size: var(--fontSizeMd);
  font-weight: var(--fontWeightExtraBold);
  line-height: var(--lineHeightLg);
}

.support-section {
  width: 100%;
  padding: 140px 0;
  background-color: var(--colorGray600);
}

.support-section .section-title {
  color: var(--colorWhite);
}

.main-table-box {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  gap: 0 20px;
}
.main-table-box > li {
  width: calc(50% - 10px);
}

.support-title-group {
  height: 82px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 24px 40px;
  box-sizing: border-box;
  background-color: var(--colorPrimary);
}
.support-title-group h3 {
  color: var(--colorWhite);
  font-size: var(--fontSizeXl);
  font-weight: var(--fontWeightExtraBold);
  line-height: var(--lineHeight2Xl);
}

.main-table-group {
  background-color: var(--colorWhite);
}
.main-table-group ul {
  padding: 24px 40px 40px 40px;
}
.main-table-group li {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.main-table-group li:not(:last-child) {
  padding-bottom: 12px;
}
.main-table-group li:not(:first-child) {
  padding-top: 12px;
  border-top: 1px dashed var(--colorGray200);
}
.main-table-group p {
  color: var(--colorGray400);
}
.main-table-title-group {
  display: flex;
  align-items: center;
  gap: 0 6px;
  width: calc(100% - 100px);
  line-height: var(--lineHeightMd);
}
.main-table-title-group a {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.about-section {
  width: 100%;
  padding: 140px 0;
  background-color: var(--colorGray100);
}
.about-img-box {
  width: 100%;
  height: 360px;
}
.about-img-box img {
  width: 100%;
  height: 360px;
}
.about-more-box {
  display: flex;
  gap: 0 20px;
  margin-top: 20px;
}

.about-more-box li {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 40px;
  border: 1px solid var(--colorGray300);
  background-color: var(--colorWhite);
  cursor: pointer;
}
.about-more-box a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 48px;
  height: 48px;
  border: 1px solid var(--colorGray300);
}
.about-more-box a img {
  transform: rotate(-90deg);
}
.about-more-group {
  display: flex;
  align-items: center;
  gap: 0 40px;
}
.about-more-txt-group h3 {
  font-size: var(--fontSizeXl);
  font-weight: var(--fontWeightExtraBold);
  line-height: var(--lineHeight3Xl);
}
.about-more-txt-group p {
  color: var(--colorGray500);
  line-height: var(--lineHeightMd);
  margin-top: 12px;
}





@media (hover: hover) and (pointer: fine) {
  .quick-img-box:hover {
    border: 1px solid var(--colorPrimary);
    outline: 1px solid var(--colorPrimary);
  }

  .about-more-box li:hover{
    border: 1px solid var(--colorGray600);
    outline: 1px solid var(--colorGray600);
  }

  .about-more-box li:hover a{
    border: 0;
    background-color: var(--colorPrimary);
  }

  .about-more-box li:hover a img{
    transform: rotate(0);
    content: url("../images/common/arrow-white.svg");
  }
}





@media all and (max-width: 1279px) {
  .visual-slide,
  .slide-group{
    height: calc(100vh - 82px);
  }
  .slide-group .title-group{
    margin-top: -100px;
  }
  .quick-nav-group {
    padding: 120px 40px 140px 40px;
  }
  .quick-nav-group .title-group {
    padding-bottom: 76px;
  }
  .service-section {
    padding: 100px 0;
  }
  .service-content-box {
    gap: 10px;
  }

  .service-content-box ul {
    gap: 10px;
  }

  .service-content-box ul:nth-child(2) {
    grid-template-columns: 43% 56.1%;
  }
  .service-content-box ul:first-child li,
  .service-content-box ul:last-child li:last-child {
    justify-content: flex-start;
  }
  .support-section {
    padding: 100px 0;
  }
  .main-table-box {
    flex-direction: column;
    gap: 20px 0;
  }
  .main-table-box > li {
    width: 100%;
  }
  .about-section {
    padding: 100px 0;
  }
  .about-more-box {
    flex-direction: column;
    gap: 20px 0;
  }
  .quick-nav-box {
    gap: 0 18px;
  }
}
@media all and (max-width: 767px) {
  .visual-slide,
  .slide-group{
    height: 450px;
    min-height: auto;
  }
  .slide-group{
    align-items: flex-start;
    padding-top: 90px;
    box-sizing: border-box;
  }
  .slide-group .title-group{
    gap: 10px 0;
    margin: 0;
  }
  .animation-group {
    height: 180px;
    padding-bottom: 20px;
  }
  .vertical-line-box {
    height: 60px;
  }
  .quick-nav-group {
    padding: 80px 15px;
  }
  .quick-nav-group .title-group {
    padding-bottom: 30px;
  }
  .quick-nav-box {
    width: 290px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px 10px;
    margin: 0 auto;
  }
  .quick-nav-box li {
    width: max-content;
  }
  .quick-img-box {
    width: 90px;
    height: 90px;
  }
  .quick-nav-box li a p{
    margin-top: 10px;
    font-size: var(--fontSizeSm);
    line-height: var(--lineHeightBase);
  }
  .service-section {
    background: none;
    padding: 60px 0 80px 0;
  }
  .service-content-box li {
    padding: 30px 15px;
  }
  .service-content-box ul:nth-child(1),
  .service-content-box ul:nth-child(2) {
    grid-template-columns: 1fr;
  }
  .service-content-box ul:first-child li,
  .service-content-box ul:last-child li:last-child {
    justify-content: flex-end;
  }
  .support-section {
    padding: 80px 0;
  }
  .support-title-group {
    padding: 15px;
    height: auto;
  }
  .support-title-group h3 {
    font-size: var(--fontSizeMd);
    line-height: var(--lineHeightLg);
  }
  .main-table-group ul {
    padding: 20px 15px;
  }
  .main-table-group li {
    flex-direction: column;
    align-items: flex-start;
    gap: 4px 0;
    font-size: var(--fontSizeSm);
  }
  .main-table-title-group {
    width: 100%;
  }
  .main-table-title-group a {
    font-weight: var(--fontWeightBold);
  }
  .about-section {
    padding: 80px 0;
  }
  .about-img-box {
    height: 160px;
  }
  .about-img-box img {
    height: 160px;
  }
  .about-more-box {
    gap: 10px 0;
    margin-top: 10px;
  }
  .about-more-box li {
    padding: 20px 15px;
  }
  .about-more-group {
    flex-direction: column;
    gap: 10px 0;
  }
  .about-more-box li {
    flex-direction: column;
    gap: 10px 0;
  }
  .about-more-txt-group {
    text-align: center;
  }
  .about-more-txt-group h3 {
    font-size: var(--fontSizeMd);
    line-height: var(--lineHeightLg);
  }
  .about-more-txt-group p {
    line-height: var(--lineHeightBase);
    font-size: var(--fontSizeSm);
    margin-top: 6px;
  }
  .about-more-box a {
    width: 36px;
    height: 36px;
  }
}
